{% extends "base_annexe.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>Service Model List from SDC</h2>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>service models in SDC</th>
                <th>version</th>
                <th>category</th>
                <th>lifecycleState</th>
                <th>distributionStatus</th>
            </tr>
            </thead>
            <tbody>
            {% for service in services %}
            <tr>
                <td>
                    <class="service" type="text" id="{{loop.index}}" name="{{loop.index}}"
                    value="{{loop.index}}">{{loop.index}}
                </td>
                <td>
                    <class="service" type="text" id="service_{{loop.index}}" name="service_{{loop.index}}"
                    value="{{service['name']}}">{{service['name']}}
                </td>
                <td>
                    <class="service" type="text" id="service_{{loop.index}}" name="service_{{loop.index}}"
                    value="{{service['version']}}">{{service['version']}}
                </td>
                <td>
                    <class="service" type="text" id="service_{{loop.index}}" name="service_{{loop.index}}"
                    value="{{service['category']}}">{{service['category']}}
                </td>
                <td>
                    <class="service" type="text" id="service_{{loop.index}}" name="service_{{loop.index}}"
                    value="{{service['lifecycleState']}}">{{service['lifecycleState']}}
                </td>
                <td>
                    <class="service" type="text" id="service_{{loop.index}}" name="service_{{loop.index}}"
                    value="{{service['distributionStatus']}}">{{service['distributionStatus']}}
                </td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
